> ## Documentation Index
> Fetch the complete documentation index at: https://incredible-42686482-cursor-create-detailed-ai-agent-cookboo.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Basic Chat (Non-Streaming)

> Your first API call with a simple non-streaming chat request

Use this to send a simple message and get a complete response.

```bash
curl -X POST "https://api.incredible.one/v1/chat-completion" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $INCREDIBLE_API_KEY" \
  -d '{
    "model": "small-1",
    "stream": false,
    "messages": [
      { "role": "user", "content": "Hello! Can you say hi back to me?" }
    ]
  }'
```

<Note>
  View source on GitHub → [0\_hello\_world.py](https://github.com/Norditech-AB/Incredible-API-Cookbook/blob/main/01-getting-started/0_hello_world.py)
</Note>
